--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the total number of services that were scanned or, if an argument is given, returns the number of services scanned for <tt>type</tt> (e.g. &quot;syn&quot;)
full_name: Nmap::Parser::Session#numservices
is_singleton: false
name: numservices
params: (type = "")
visibility: public
